SHARE
TWEET

Untitled

a guest Jan 14th, 2020 73 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. chelsea ~ # emerge -1 qtwayland
  2. Calculating dependencies... done!
  3. [ebuild     U  ] dev-qt/qtnetwork-5.14.0 [5.13.2]
  4. [ebuild     U  ] dev-qt/qtdeclarative-5.14.0 [5.13.2-r1]
  5. [ebuild     U  ] dev-qt/qtwayland-5.14.0 [5.13.2-r1]
  6.  
  7. !!! Multiple package instances within a single package slot have been pulled
  8. !!! into the dependency graph, resulting in a slot conflict:
  9.  
  10. dev-qt/qtdeclarative:5
  11.  
  12.   (dev-qt/qtdeclarative-5.14.0:5/5.14::gentoo, ebuild scheduled for merge) USE="jit widgets -debug (-gles2) -localstorage -test" ABI_X86="(64)" pulled in by
  13.     ~dev-qt/qtdeclarative-5.14.0 required by (dev-qt/qtwayland-5.14.0:5/5.14::gentoo, ebuild scheduled for merge) USE="libinput xcomposite -debug -test" ABI_X86="(64)"
  14.     ^                     ^^^^^^                                                                                                                                                                                                                                                                                            
  15.  
  16.   (dev-qt/qtdeclarative-5.13.2-r1:5/5.13::gentoo, installed) USE="jit widgets -debug (-gles2) -localstorage -test" ABI_X86="(64)" pulled in by
  17.     ~dev-qt/qtdeclarative-5.13.2 required by (dev-qt/qtbluetooth-5.13.2:5/5.13::gentoo, installed) USE="qml -debug -test" ABI_X86="(64)"
  18.     ^                     ^^^^^^                                                                                                                                                                                                                                          
  19.     (and 9 more with the same problem)
  20.  
  21. dev-qt/qtnetwork:5
  22.  
  23.   (dev-qt/qtnetwork-5.14.0:5/5.14::gentoo, ebuild scheduled for merge) USE="networkmanager ssl -bindist -connman -debug -libproxy -sctp -test" ABI_X86="(64)" pulled in by
  24.     ~dev-qt/qtnetwork-5.14.0 required by (dev-qt/qtdeclarative-5.14.0:5/5.14::gentoo, ebuild scheduled for merge) USE="jit widgets -debug (-gles2) -localstorage -test" ABI_X86="(64)"
  25.     ^                 ^^^^^^                                                                                                                                                                                                                                                                                                                                                      
  26.  
  27.   (dev-qt/qtnetwork-5.13.2:5/5.13::gentoo, installed) USE="networkmanager ssl -bindist -connman -debug -libproxy -sctp -test" ABI_X86="(64)" pulled in by
  28.     ~dev-qt/qtnetwork-5.13.2 required by (dev-qt/qtdeclarative-5.13.2-r1:5/5.13::gentoo, installed) USE="jit widgets -debug (-gles2) -localstorage -test" ABI_X86="(64)"
  29.     ^                 ^^^^^^                                                                                                                                                                                                                                                                                                                                        
  30.     (and 2 more with the same problem)
  31.  
  32. NOTE: Use the '--verbose-conflicts' option to display parents omitted above
  33.  
  34. It may be possible to solve this problem by using package.mask to
  35. prevent one of those packages from being selected. However, it is also
  36. possible that conflicting dependencies exist such that they are
  37. impossible to satisfy simultaneously.  If such a conflict exists in
  38. the dependencies of two different packages, then those packages can
  39. not be installed simultaneously. You may want to try a larger value of
  40. the --backtrack option, such as --backtrack=30, in order to see if
  41. that will solve this conflict automatically.
  42.  
  43. For more information, see MASKED PACKAGES section in the emerge man
  44. page or refer to the Gentoo Handbook.
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top